<?php

namespace App\Providers;

use App\Services\FileTools\OCR\IImageOCR;
use Illuminate\Support\ServiceProvider;

class ImageOCRServiceProvider extends ServiceProvider
{
    /**
     * Register services.
     */
    public function register(): void
    {
        $this->app->singleton(IImageOCR::class, function ($app) {
            return new \App\Services\FileTools\OCR\TesseractImageOCR();
        });
    }

    /**
     * Bootstrap services.
     */
    public function boot(): void
    {
        //
    }
}
